package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B3;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B3Mapper {

    /**
     * 查看所有
     * @return
     */
    List<B3> selectAll();

    public List<B3> selectListByInfo(B3 b3);

    public int insertOne(B3 b3);

    int examineB3(B3 b3);

    int delB3(B3 b3);

    int weekdelB3(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);

    List<B3> selectB3ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B3> selectB3ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b3字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B3> list);
}
